> ## Documentation Index
> Fetch the complete documentation index at: https://atibu.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Checkout

> Generate Checkout



## OpenAPI

````yaml https://api.rokcel.com/v1/platform/openapi post /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/checkout/
openapi: 3.0.3
info:
  title: Rokcel API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.rokcel.com
security: []
tags:
  - name: Platform
  - name: Peer 2 Peer
  - name: Bucket
  - name: Withdraw
  - name: E-Wallet Mobile Money
  - name: Deposit
  - name: Transaction
  - name: Archive
  - name: Core
  - name: Setting
  - name: State
  - name: CheckOut
  - name: Webhook
paths:
  /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/checkout/:
    post:
      tags:
        - Bucket
        - CheckOut
      summary: Generate Checkout
      description: Generate Checkout
      operationId: generateCheckout
      parameters:
        - name: cache-control
          in: header
          schema:
            type: string
            example: no-cache
        - name: postman-token
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: content-length
          in: header
          schema:
            type: string
            example: '0'
        - name: host
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: user-agent
          in: header
          schema:
            type: string
            example: PostmanRuntime/7.39.1
        - name: accept-encoding
          in: header
          schema:
            type: string
            example: gzip, deflate, br
        - name: connection
          in: header
          schema:
            type: string
            example: keep-alive
        - name: x-auth-token
          in: header
          schema:
            type: string
            example: '{{APP_TOKEN}}'
      requestBody:
        content:
          application/json:
            examples:
              Generate Checkout:
                value: "{\r\n    \"external_id\": \"dc7f4bad-87a2-4c0a-9303-78c31a61ebeb\",\r\n    \"name\": \"exercitationem vero reiciendis\",\r\n    \"description\": \"Quidem non nobis mollitia. Sed sunt odit at repellat in adipisci. Deserunt voluptate nostrum.\",\r\n    \"published\": \"false\",\r\n    // \"published\": true,\r\n    \"products\": [\r\n        {\r\n            \"name\": \"Unbranded Granite Car\",\r\n            \"quantity\": 2,\r\n            \"price\": \"557.21\",\r\n            \"image\": \"http://placeimg.com/640/480\"\r\n        },\r\n        {\r\n            \"name\": \"Handcrafted Concrete Hat\",\r\n            \"quantity\": 2,\r\n            \"price\": \"579.79\",\r\n            \"image\": \"http://placeimg.com/640/480\"\r\n        }\r\n    ]\r\n}"
      responses:
        '200':
          description: ''

````